#!/bin/sh

echo "***Fan Control Uninstall***"
echo "This will uninstall Fan Control if present."
echo "Authenticate to proceed."
sudo echo ""

cd /

# Kill the daemon if present
pid=`ps -a -U root -o "pid" -o "command" | awk -F " " '{ if ( $2 == "/Library/StartupItems/FanControlDaemon/FanControlDaemon" ) {print $1}  }'`
sudo kill $pid 2>/dev/null

# Remove the preference pane
FC_PREF_PANE_PATH="/Library/PreferencePanes/Fan Control.prefPane"
if [ -x "$FC_PREF_PANE_PATH" ]; then
	sudo rm -rf "$FC_PREF_PANE_PATH"
fi

FC_DAEMON_PATH="/Library/StartupItems/FanControlDaemon"
if [ -x "$FC_DAEMON_PATH" ]; then
	sudo rm -rf "$FC_DAEMON_PATH"
fi

echo "Uninstall complete."
